Skip to main content
PUT
Update insight

Authorizations

Authorization
string
header
required

To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:

Headers

Accept-Version
string
default:v20260929
required

MX Platform API version.

Example:

"v20260929"

Path Parameters

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

insight_guid
string
required

The unique identifier for the insight. Defined by MX.

Body

application/json

The insight to be updated (None of these parameters are required, but the user object cannot be empty.)

insight
object
required

Response

200 - application/json

OK

insight
object
required